package main

import (
	"log"
	"os"

	"code.ur.gs/lupine/ordoor/internal/wh40k"
)

func main() {
	configFile := "config.toml"
	if len(os.Args) == 2 {
		configFile = os.Args[1]
	}

	if err := wh40k.Run(configFile); err != nil {
		log.Fatalf(err.Error())
	}

	os.Exit(0)
}
